package cd.casic.ci.common.pipeline.req.target;

import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManagerReq
 * @Date: 2025/5/17 15:36
 * @Description:
 */
@Data
public class TargetManagerCreateReq {
    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 图标
     */
    private String fileIcon;

    /**
     * 文件地址路径
     */
    private String filePath;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 描述
     */
    private String targetDesc;

    /**
     * 文件大小（byte）
     */
    private Double totalSize;

    /**
     * 组织id
     */
    private String projectId;
}
