package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname Machine
 * @Description TODO
 * @Date 2025/4/8 16:39
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机主机信息")
public class Machine {
    @Schema(title = "主机 ID", required = true)
    private int id;
    @Schema(title = "主机 IP", required = true)
    private String ip;
    @Schema(title = "主机名", required = true)
    private String name;
    @Schema(title = "主机用户名", required = true)
    private String username;
    @Schema(title = "主机密码", required = true)
    private String password;
    @Schema(title = "当前运行数", required = true)
    private int currentRunNum;
    @Schema(title = "最大运行数", required = true)
    private int maxVMRun;
    @Schema(title = "创建时间", required = true)
    private long createdTime;
    @Schema(title = "修改时间", required = true)
    private long updatedTime;
}
