package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname Task
 * @Description TODO
 * @Date 2025/4/8 16:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机主机任务信息")
public class Task {
    @Schema(title = "主机任务 ID", required = true)
    private Integer id;
    @Schema(title = "主机任务名字", required = true)
    private String name;
    @Schema(title = "主机任务 脚本", required = true)
    private String script;
    @Schema(title = "主机任务 开始时间", required = true)
    private Long beginTime;
    @Schema(title = "主机任务 结束时间", required = true)
    private Long endTime;
    @Schema(title = "主机任务 状态", required = true)
    private Byte status;
}
