package cd.casic.ci.process.process.converter;

import cd.casic.ci.common.pipeline.resp.pipeline.PipelineFindResp;
import cd.casic.ci.common.pipeline.resp.target.TargetManagerResp;
import cd.casic.ci.process.process.dataObject.pipeline.PipPipeline;
import cd.casic.ci.process.process.dataObject.target.TargetManager;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineConverter
 * @Date: 2025/5/13 14:39
 * @Description:
 */
@Mapper(componentModel = "spring")
public interface TargetConverter {
    TargetConverter INSTANCE = Mappers.getMapper(TargetConverter.class);

    PipelineFindResp toResp(PipPipeline pipPipeline);
    List<TargetManagerResp> toRespList(List<TargetManager> pipPipelines);

}
