package cd.casic.ci.process.process.converter;

import cd.casic.ci.common.pipeline.resp.template.TemplateFindResp;
import cd.casic.ci.process.process.dataObject.template.TemplateManager;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineConverter
 * @Date: 2025/5/13 14:39
 * @Description:
 */
@Mapper(componentModel = "spring")
public interface TemplateConverter {
    TemplateConverter INSTANCE = Mappers.getMapper(TemplateConverter.class);
    TemplateFindResp toResp(TemplateManager templateManager);
    List<TemplateFindResp> toRespList(List<TemplateManager> templateManagers);

}
