package cd.casic.pipeline.store.pojo.image.response;

import cd.casic.pipeline.store.pojo.common.index.StoreIndexInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "市场镜像项")
public class MarketImageItem {
    @Schema(title = "镜像ID", required = true)
    private String id;
    
    @Schema(title = "镜像代码", required = true)
    private String code;
    
    @Schema(title = "镜像名称", required = true)
    private String name;
    
    @Schema(title = "镜像指标信息", required = false)
    private StoreIndexInfo indexInfo;
}