package cd.casic.server;

import cd.casic.ci.process.process.dataObject.machine.MachineInfo;
import cd.casic.ci.process.process.service.machine.MachineInfoService;
import cd.casic.ci.process.util.CryptogramUtil;
import cd.casic.ci.process.util.SftpUploadUtil;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.TestClassOrder;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.stereotype.Service;
import org.springframework.test.context.ActiveProfiles;

import java.io.File;

@SpringBootTest(classes = {OpsServerApplication.class})
@ActiveProfiles("local")
public class SftpTest {
    @Resource
    MachineInfoService machineInfoService;
    @Test
    public void test01() throws SftpUploadUtil.SftpUploadException {
        MachineInfo byId = machineInfoService.getById("1");
        File file = new File("src/test/java/cd/casic/server/text.txt");
        System.out.println(file.getAbsolutePath());
        System.out.println(file.exists());
        System.out.println(file.getName());
        SftpUploadUtil.uploadFileViaSftp(byId.getMachineHost(),byId.getSshPort(),byId.getUsername(), CryptogramUtil.doDecrypt(byId.getPassword()),null,file.getAbsolutePath(),"/home/casic/706/ai_test_527","到此一游.txt");
    }
}
