package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：BranchVersionAction
 * @Date：2025/03/25 17:25
 * @Filename：BranchVersionAction
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum BranchVersionAction {
    ACTIVE("活跃分支（可以被代码推送直接更新）"),
    INACTIVE("不活跃分支（已被发布或已被删除）"),
    CONFLICT("有冲突分支（落后于主干无法直接合入）");

    private final String statusName;
}
