package cd.casic.ci.common.pipeline.pojo.agent;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author by mianbin
 * @Classname AgentArchType
 * @Description TODO
 * @Date 2025/4/8 19:25
 */
@Getter
@AllArgsConstructor
public enum AgentArchType {
    ARM64("arm64"),
    MIPS64("mips64"),
    AMD64("amd64");

    private final String arch;

    public static AgentArchType parse(String arch) {
        if (AMD64.arch.equals(arch)) {
            return AMD64;
        }
        if (ARM64.arch.equals(arch)) {
            return ARM64;
        }
        if (MIPS64.arch.equals(arch)) {
            return MIPS64;
        }
        return null;
    }
}

