package cd.casic.ci.common.pipeline.pojo.agent;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author by mianbin
 * @Classname DockerOptions
 * @Description TODO
 * @Date 2025/4/8 16:30
 */
@Getter
@Setter
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DockerOptions {
    private List<String> volumes;
    private List<String> mounts;
    private String gpus;
    private Boolean privileged;
}
