package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname VMTaskResult
 * @Description TODO
 * @Date 2025/4/8 16:43
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机主机-任务结束后置处理")
public class VMTaskResult {
    @Schema(title = "task id", required = true)
    private Integer taskId;
    @Schema(title = "脚本执行信息", required = true)
    private String message;
    @Schema(title = "脚本执行结果", required = true)
    private Boolean success;
}
