package cd.casic.ci.process.api.process.constant;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.constant
 * @Project：ops-pro
 * @name：PipelineBuildParamKey
 * @Date：2025/03/24 14:32
 * @Filename：PipelineBuildParamKey
 * @description：流水线上下文变量Key
 */
public class PipelineBuildParamKey {
    // GIT 触发公共参数
    public static final String CI_REPO_TYPE = "ci.repo_type";
    public static final String CI_REPO_URL = "ci.repo_url";
    public static final String CI_REPO = "ci.repo";
    public static final String CI_REPO_ID = "ci.repo_id";
    public static final String CI_REPO_GROUP = "ci.repo_group";
    public static final String CI_REPO_NAME = "ci.repo_name";
    public static final String CI_REPO_ALIAS_NAME = "ci.repo_alias_name";
    public static final String CI_EVENT = "ci.event";
    public static final String CI_EVENT_URL = "ci.event_url";
    public static final String CI_BRANCH = "ci.branch";
    public static final String CI_BUILD_MSG = "ci.build_msg";
    public static final String CI_COMMIT_MESSAGE = "ci.commit_message";
    public static final String CI_ACTION = "ci.action";
    public static final String CI_ACTOR = "ci.actor";
    // GIT PUSH参数
    public static final String CI_BEFORE_SHA = "ci.before_sha";
    public static final String CI_BEFORE_SHA_SHORT = "ci.before_sha_short";
    public static final String CI_SHA = "ci.sha";
    public static final String CI_SHA_SHORT = "ci.sha_short";
    public static final String CI_OPERATION_KIND = "ci.operation_kind";
    // GIT MR参数
    public static final String CI_MR_PROPOSER = "ci.mr_proposer";
    public static final String CI_HEAD_REPO_URL = "ci.head_repo_url";
    public static final String CI_BASE_REPO_URL = "ci.base_repo_url";
    public static final String CI_HEAD_REF = "ci.head_ref";
    public static final String CI_BASE_REF = "ci.base_ref";
    public static final String CI_MR_ID = "ci.mr_id";
    public static final String CI_MR_IID = "ci.mr_iid";
    public static final String CI_MR_DESC = "ci.mr_desc";
    public static final String CI_MR_TITLE = "ci.mr_title";
    public static final String CI_MR_URL = "ci.mr_url";
    public static final String CI_MR_REVIEWERS = "ci.mr_reviewers";
    public static final String CI_MILESTONE_NAME = "ci.milestone_name";
    public static final String CI_MILESTONE_ID = "ci.milestone_id";
    // GIT TAG参数
    public static final String CI_COMMIT_AUTHOR = "ci.commit_author";
    public static final String CI_TAG_FROM = "ci.tag_from";
    // GIT TAG参数
    public static final String CI_ISSUE_TITLE = "ci.issue_title";
    public static final String CI_ISSUE_ID = "ci.issue_id";
    public static final String CI_ISSUE_IID = "ci.issue_iid";
    public static final String CI_ISSUE_DESCRIPTION = "ci.issue_description";
    public static final String CI_ISSUE_STATE = "ci.issue_state";
    public static final String CI_ISSUE_OWNER = "ci.issue_owner";
    public static final String CI_ISSUE_MILESTONE_ID = "ci.issue_milestone_id";
    // GIT NOTE参数
    public static final String CI_NOTE_COMMENT = "ci.note_comment";
    public static final String CI_NOTE_ID = "ci.note_id";
    public static final String CI_NOTE_TYPE = "ci.note_type";
    public static final String CI_NOTE_AUTHOR = "ci.note_author";
    public static final String CI_CREATE_TIME = "ci.create_time";
    public static final String CI_MODIFY_TIME = "ci.modify_time";
    public static final String CI_REVIEW_ID = "ci.review_id";
    public static final String CI_REVIEW_IID = "ci.review_iid";
    public static final String CI_REVIEW_TYPE = "ci.review_type";
    public static final String CI_REVIEW_REVIEWERS = "ci.review_reviewers";
    public static final String CI_REVIEW_STATE = "ci.review_state";
    public static final String CI_REVIEW_OWNER = "ci.review_owner";
    // GIT REVIEW参数
    public static final String CI_CREATE_REF = "ci.create_ref";
    public static final String CI_CREATE_REF_TYPE = "ci.create_type";
    // 流水线基础变量
    public static final String CI_BUILD_NO = "ci.build-no";
    public static final String CI_BUILD_NUM = "ci.build_num";
    public static final String CI_PIPELINE_CREATOR = "ci.pipeline_creator";
    public static final String CI_PIPELINE_MODIFIER = "ci.pipeline_modifier";
    public static final String CI_PIPELINE_VERSION = "ci.pipeline_version";
    public static final String CI_PROJECT_ID = "ci.project_id";
    public static final String CI_PROJECT_NAME = "ci.project_name";
    public static final String CI_BUILD_START_TYPE = "ci.build_start_type";
    public static final String CI_PIPELINE_ID = "ci.pipeline_id";
    public static final String CI_BUILD_ID = "ci.build_id";
    public static final String CI_PIPELINE_NAME = "ci.pipeline_name";
    public static final String CI_WORKSPACE = "ci.workspace";
    public static final String CI_FAILED_TASKNAMES = "ci.failed_tasknames";
    public static final String CI_FAILED_TASKS = "ci.failed_tasks";
    public static final String CI_REMARK = "ci.remark";
}
