package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.pojo.time.BuildRecordTimeCost;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname BuildRecordInfo
 * @Description TODO
 * @Date 2025/3/31 17:22
 */
@Data
@AllArgsConstructor
@Schema(title = "执行次数记录")
public class BuildRecordInfo {
    @Schema(title = "触发人", required = true)
    private String startUser;
    @Schema(title = "耗时详情", required = true)
    private BuildRecordTimeCost timeCost;
}