package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineModelVersion
 * @Date：2025/03/24 20:21
 * @Filename：PipelineModelVersion
 * @description：Todo
 */
@Data
@Schema(title = "流水线模型版本")
public class PipelineModelVersion {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线创建人", required = true)
    private String creator;
    @Schema(title = "流水线模型", required = true)
    private String model;
    @Schema(title = "流水线模型版本", required = false)
    private Integer version;
}
