package cd.casic.ci.log.scm.config;

import org.springframework.boot.autoconfigure.AutoConfigureOrder;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;

/**
 * @author mianbin
 * @description SVN通用配置
 * @date 2022/10/18 14:45
 */
@Configuration
@ConditionalOnWebApplication
@AutoConfigureOrder(value = Ordered.LOWEST_PRECEDENCE)
public class SVNConfig {

    public final String apiUrl = "";

    public final String apiKey = "";

    public final String webhookApiUrl = "";

    public final String svnHookUrl = "";
}
