package cd.casic.pipeline.store.pojo.atom.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AtomCategoryEnum {
    TRIGGER(0), // 触发器类插件
    TASK(1); // 任务类插件

    private final int category;

    @Override
    public String toString() {
        return String.valueOf(category);
    }

    public static String getAtomCategory(int category) {
        switch (category) {
            case 0:
                return TRIGGER.name();
            default:
                return TASK.name();
        }
    }
}