package cd.casic.pipeline.store.pojo.common.version;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode
@Schema(title = "组件版本信息")
public class StoreVersion {
    @Schema(title = "组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "组件名称", required = true)
    private String storeName;
    
    @Schema(title = "版本号", required = true)
    private String version;
    
    @Schema(title = "是否是旧版本", required = true)
    private boolean historyFlag;
}