package cd.casic.pipeline.store.pojo.image.request;

import cd.casic.pipeline.store.pojo.common.visible.DeptInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "镜像市场-镜像可见范围请求报文体")
public class ImageVisibleDeptReq {
    @Schema(title = "镜像代码", required = true)
    private String imageCode;
    
    @Schema(title = "部门信息列表", required = true)
    private List<DeptInfo> deptInfos;
}